Package org.apache.sysds.parser

## Enum Statement.PSScheme

- java.lang.Object
- - java.lang.Enum<Statement.PSScheme>
  - - org.apache.sysds.parser.Statement.PSScheme

All Implemented Interfaces:
  `Serializable`, `Comparable<Statement.PSScheme>`

Enclosing class:
  Statement

    public static enum Statement.PSScheme
    extends Enum<Statement.PSScheme>

### Enum Constant Summary

Enum Constants
`DISJOINT_CONTIGUOUS`
`DISJOINT_RANDOM`
`DISJOINT_ROUND_ROBIN`
`OVERLAP_RESHUFFLE`

### Method Summary

All Methods Static Methods Concrete Methods
`static Statement.PSScheme` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Statement.PSScheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISJOINT_CONTIGUOUS

    public static final Statement.PSScheme DISJOINT_CONTIGUOUS

#### DISJOINT_ROUND_ROBIN

    public static final Statement.PSScheme DISJOINT_ROUND_ROBIN

#### DISJOINT_RANDOM

    public static final Statement.PSScheme DISJOINT_RANDOM

#### OVERLAP_RESHUFFLE

    public static final Statement.PSScheme OVERLAP_RESHUFFLE

### Method Detail

#### values

    public static Statement.PSScheme[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Statement.PSScheme c : Statement.PSScheme.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Statement.PSScheme valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null